CREATE LANGUAGE plpythonu;
CREATE LANGUAGE plpgsql;


CREATE OR REPLACE FUNCTION varnish_purge(url text)
RETURNS void
LANGUAGE 'plpythonu'
AS $$
from varnishadmin import VarnishAdmin
v = VarnishAdmin()
v.purge(url)
$$;


CREATE OR REPLACE FUNCTION blog_post_trigger_func()
RETURNS trigger
LANGUAGE plpgsql
AS $$
BEGIN
   PERFORM varnish_purge('^/$');
   PERFORM varnish_purge('^/' || NEW.id || '/$');
   RETURN NEW;
END;
$$;



DROP TRIGGER IF EXISTS blog_post_trigger1 ON blog_post;
DROP TRIGGER IF EXISTS blog_post_trigger2 ON blog_post;

CREATE TRIGGER blog_post_trigger1
AFTER INSERT OR UPDATE OR DELETE
ON blog_post
FOR EACH ROW
EXECUTE PROCEDURE blog_post_trigger_func();

