CREATE OR REPLACE FUNCTION blog_post_trigger_func_pgq()
RETURNS trigger
LANGUAGE plpgsql
AS $$
BEGIN
   PERFORM pgq.insert_event('varnish_purger', 'PURGE', '^/$');
   PERFORM pgq.insert_event('varnish_purger', 'PURGE', '^/' || NEW.id || '/$');
   RETURN NEW;
END;
$$;


DROP TRIGGER IF EXISTS blog_post_trigger1 ON blog_post;
DROP TRIGGER IF EXISTS blog_post_trigger2 ON blog_post;

CREATE TRIGGER blog_post_trigger2
AFTER INSERT OR UPDATE OR DELETE
ON blog_post
FOR EACH ROW
EXECUTE PROCEDURE blog_post_trigger_func_pgq();
